#ifndef __RIP_AND_INST_H
#define __RIP_AND_INST_H

#include "Windas.h"
#include "XedWrap.h"
#include "NativeCode.h"

BOOL JitEmitRipRelativeAndD(PNATIVE_CODE_BLOCK Block, INT32 RipDelta, ULONG Value);

BOOL JitEmitRipRelativeAndW(PNATIVE_CODE_BLOCK Block, INT32 RipDelta, ULONG Value);

BOOL JitEmitRipRelativeAndB(PNATIVE_CODE_BLOCK Block, INT32 RipDelta, ULONG Value);



#endif
